from django.conf import settings
from django.conf.urls import url
from django.conf.urls import include
from django.urls import path
from taggit_templatetags2 import urls as taggit_templatetags2_urls
from . import views
import debug_toolbar


urlpatterns = [
    url(r'^$', views.post_list, name='post_list'),
    url(r'^tag/(?P<slug>[-\w]+)/$', views.post_list, name='post_list_by_tag'),
    url(r'^taglist/$', views.tag_list, name='tag_list'),
    url(r'^search/', views.blog_search_list_view, name='blog_search_list_view'),
    url(r'^search/result/$', views.blog_search_list_view, name='post_list_by_search'),
    url(r'^post/(?P<pk>\d+)/$', views.post_detail, name='post_detail'),
    url(r'^post/new/$', views.post_new, name='post_new'),
    url(r'^post/(?P<pk>\d+)/edit/$', views.post_edit, name='post_edit'),
    url(r'^drafts/$', views.post_draft_list, name='post_draft_list'),
    url(r'^post/(?P<pk>\d+)/publish/$', views.post_publish, name='post_publish'),
    url(r'^post/(?P<pk>\d+)/remove/$', views.post_remove, name='post_remove'),
    url(r'^tags/', include('taggit_templatetags2.urls')),
]

""" 
    url(r'^student/(?P<slug>[-\w]+)/remove/$', views.tag_remove, name='tag_remove'), 
    """

if settings.DEBUG:
   import debug_toolbar
   urlpatterns += [
       url(r'^__debug__/', include(debug_toolbar.urls)),
   ]